Account Verify
Verify a bank account number in Nigeria and returns the name of the account holder.
Endpoint
POST /kyc/nga/account-numberAuthentication
API Key
Header
x-api-key
Request body
Content-Type: application/json
Parameters
account_number
string
Yes
Bank account number to verify, format 10-digit NUBAN.
Request example
{
"nip_code": "000015",
"account_number": "0123456789"
}Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code
serviceTime
string
Processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception in the module.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
data
object
Object with the verified account data. See table below.
Response parameters — data
name
string
Account holder name of the account.
account_number
string
Verified account number.
bvn
string | null
BVN associated with the account (null if not available).
bank
object
Object with the bank data. See table below.
Response parameters — data.bank
name
string
Bank name.
code
string
Bank NIP code.
Service Result Code
The serviceResultCode indicates the overall result of the service execution:
200
The service execution was successful, the module processed the request correctly.
200
Response example
400 Bad Request
Error returned with the service envelope (serviceResultCode reflects the HTTP code of the response):
502 Bad Gateway
Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:
504 Gateway Timeout
Timeout error, returned with the service envelope:
Last updated